Loading...
Searching...
No Matches
EST_WFST_MultiState Class Reference

`#include <include/EST_WFST.h>`

Inheritance diagram for EST_WFST_MultiState:
[legend]
Collaboration diagram for EST_WFST_MultiState:
[legend]

## Public Member Functions

| EST_WFST_MultiState (enum wfst_mstate_type ty)
int | name () const
void | set_name (int i)
float | weight () const
void | set_weight (float w)
void | set_type (enum wfst_mstate_type s)
enum wfst_mstate_type | type () const
void | add (int i)
Public Member Functions inherited from EST_TList< int >
void | init ()
| EST_TList ()
| default constructor
| EST_TList (const EST_TList< int > &l)
| copy constructor
int & | item (const EST_Litem *p)
const int & | item (const EST_Litem *p) const
int & | nth (int n)
| return the Nth value
const int & | nth (int n) const
| return a const Nth value
const int & | first () const
| return const reference to first item in list
const int & | last () const
| return const reference to last item in list
int & | first ()
int & | last ()
| return reference to last item in list
const int & | operator() (const EST_Litem *ptr) const
| return const reference to item in list pointed to by {\tt ptr}
int & | operator() (const EST_Litem *ptr)
| return non-const reference to item in list pointed to by {\tt ptr}
EST_Litem * | remove (EST_Litem *ptr)
EST_Litem * | remove_nth (int n)
| remove nth item, return pointer to previous item
void | append (const int &item)
| add item onto end of list
void | prepend (const int &item)
| add item onto start of list
EST_Litem * | insert_after (EST_Litem *ptr, const int &item)
EST_Litem * | insert_before (EST_Litem *ptr, const int &item)
EST_TList< int > & | operator= (const EST_TList< int > &a)
| make full copy of list
EST_TList< int > & | operator+= (const EST_TList< int > &a)
| Add list onto end of existing list.
void | clear (void)
| remove all items in list
void | exchange (EST_Litem *a, EST_Litem *b)
| exchange 1
void | exchange (int i, int j)
| exchange 2
Public Member Functions inherited from EST_UList
EST_UItem * | nth_pointer (int n) const
EST_UItem * | insert_after (EST_UItem *ptr, EST_UItem *new_item)
EST_UItem * | insert_before (EST_UItem *ptr, EST_UItem *new_item)
EST_UItem * | remove (EST_UItem *ptr, void(*item_free)(EST_UItem *item))
EST_UItem * | remove (int n, void(*item_free)(EST_UItem *item))
void | exchange (EST_UItem *a, EST_UItem *b)
void | exchange (int i, int j)
void | reverse ()
int | length () const
int | index (EST_UItem *item) const
int | empty () const
void | clear (void)
void | append (EST_UItem *item)
void | prepend (EST_UItem *item)
EST_UItem * | head () const
EST_UItem * | tail () const

## Additional Inherited Members

typedef int | Entry
typedef EST_TIterator< EST_TList< int >, IPointer, int > | Entries
typedef EST_TRwIterator< EST_TList< int >, IPointer, int > | RwEntries
Static Public Member Functions inherited from EST_TList< int >
static void | free_item (EST_UItem *item)
static void | exchange_contents (EST_Litem *a, EST_Litem *b)
| exchange 3
Static Public Member Functions inherited from EST_UList
static bool | operator_eq (const EST_UList &a, const EST_UList &b, bool(*eq)(const EST_UItem *item1, const EST_UItem *item2))
static int | index (const EST_UList &l, const EST_UItem &b, bool(*eq)(const EST_UItem *item1, const EST_UItem *item2))
static void | sort (EST_UList &a, bool(*gt)(const EST_UItem *item1, const EST_UItem *item2))
static void | qsort (EST_UList &a, bool(*gt)(const EST_UItem *item1, const EST_UItem *item2), void(*exchange)(EST_UItem *item1, EST_UItem *item2))
static void | sort_unique (EST_UList &l, bool(*eq)(const EST_UItem *item1, const EST_UItem *item2), bool(*gt)(const EST_UItem *item1, const EST_UItem *item2), void(*item_free)(EST_UItem *item))
static void | merge_sort_unique (EST_UList &l, EST_UList &m, bool(*eq)(const EST_UItem *item1, const EST_UItem *item2), bool(*gt)(const EST_UItem *item1, const EST_UItem *item2), void(*item_free)(EST_UItem *item))
void | point_to_first (IPointer &ip) const
void | move_pointer_forwards (IPointer &ip) const
bool | points_to_something (const IPointer &ip) const
int & | points_at (const IPointer &ip)
Protected Member Functions inherited from EST_UList
void | init ()
void | clear_and_free (void(*item_free)(EST_UItem *item))
Protected Attributes inherited from EST_UList
EST_UItem * | h
EST_UItem * | t

## Detailed Description

an internal class to \Ref{EST_WFST} used in holding multi-states when determinizing and find the intersections of other WFSTs.

Definition at line 127 of file EST_WFST.h.

## Constructor & Destructor Documentation

## EST_WFST_MultiState() [1/2]

EST_WFST_MultiState::EST_WFST_MultiState | ( |  | ) |

inline

Definition at line 133 of file EST_WFST.h.

## EST_WFST_MultiState() [2/2]

EST_WFST_MultiState::EST_WFST_MultiState | ( | enum wfst_mstate_type | ty | ) |

inline

Definition at line 135 of file EST_WFST.h.

## Member Function Documentation

## name()

int EST_WFST_MultiState::name | ( |  | ) | const

inline

Definition at line 137 of file EST_WFST.h.

## set_name()

void EST_WFST_MultiState::set_name | ( | int | i | ) |

inline

Definition at line 138 of file EST_WFST.h.

## weight()

float EST_WFST_MultiState::weight | ( |  | ) | const

inline

Definition at line 139 of file EST_WFST.h.

## set_weight()

void EST_WFST_MultiState::set_weight | ( | float | w | ) |

inline

Definition at line 140 of file EST_WFST.h.

## set_type()

void EST_WFST_MultiState::set_type | ( | enum wfst_mstate_type | s | ) |

inline

Definition at line 141 of file EST_WFST.h.

## type()

enum wfst_mstate_type EST_WFST_MultiState::type | ( |  | ) | const

inline

Definition at line 142 of file EST_WFST.h.

## add()

void EST_WFST_MultiState::add | ( | int | i | ) |

Definition at line 103 of file wfst_ops.cc.

The documentation for this class was generated from the following files:

- include/EST_WFST.h
- grammar/wfst/wfst_ops.cc